aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndreas Gruenbacher <agruenba@redhat.com>2018-02-03 19:57:37 +0100
committerEryu Guan <eguan@redhat.com>2018-02-05 18:01:15 +0800
commitfe3aefba4d1704e45fe76ffbfacc75413249047f (patch)
tree7c268e9f4733213de3d96e0baaeb9b66e334cedc
parentebfd5ba86ada74bb5d16e502ec8382184d639de2 (diff)
downloadxfstests-fe3aefba4d1704e45fe76ffbfacc75413249047f.tar.gz
generic/270: Check for scratch mount success
We don't want to fill up the scratch mount point if the scratch mount fails. Signed-off-by: Andreas Gruenbacher <agruenba@redhat.com> Reviewed-by: Eryu Guan <eguan@redhat.com> Signed-off-by: Eryu Guan <eguan@redhat.com>
-rwxr-xr-xtests/generic/2702
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/generic/270 b/tests/generic/270
index f5026ba0cd..318f532ae9 100755
--- a/tests/generic/270
+++ b/tests/generic/270
@@ -83,7 +83,7 @@ _require_command "$KILLALL_PROG" killall
rm -f $seqres.full
_scratch_mkfs_sized $((512 * 1024 * 1024)) >> $seqres.full 2>&1
-_scratch_mount "-o usrquota,grpquota"
+_scratch_mount "-o usrquota,grpquota" || _fail "mount failed"
chmod 777 $SCRATCH_MNT
quotacheck -u -g $SCRATCH_MNT 2>/dev/null
quotaon -u -g $SCRATCH_MNT 2>/dev/null